Conteníu

# Función Timer

Devuelve un valor qu'especifica'l númberu de segundos que trescurrieron dende medianueche.

Enantes d'utilizar la función Timer ye necesariu que declare una variable y que-y asigne'l tipu de datos "Long", en casu contrariu devuélvese un valor de fecha.

### Syntax:

      Timer

### Return type:

Data

### Example:

      Sub ExampleTimer
          Dim lSec As Long,lMin As Long,lHour As Long
          lSec = Timer
          MsgBox lSec, 0, "Seconds since midnight"
          lMin = Int(lSec / 60)
          lSec = lSec Mod 60
          lHour = Int(lMin / 60)
          lMin = lMin Mod 60
        MsgBox Format(lHour,"00") & ":"& Format(lMin,"00") & ":" & Format(lSec,"00"),  0, "The time is"
    End Sub

La función Timer mide'l tiempu en segundos. Pa midir el tiempu en milisegundos, usa'l serviciu Timer que ta disponible na biblioteca ScriptForge.

Temes rellacionaos

ScriptForge.Timer service